import type { KeyValueCache } from '@graphql-mesh/types';
import type { MaybePromise } from '@graphql-tools/utils';
import { type RedisConfigNodejs } from '@upstash/redis';
import { DisposableSymbols } from '@whatwg-node/disposablestack';
export default class UpstashRedisCache implements KeyValueCache {
    private redis;
    private abortCtrl;
    constructor(config?: Partial<RedisConfigNodejs>);
    get<T>(key: string): Promise<T>;
    set<T>(key: string, value: T, options?: {
        ttl?: number;
    }): Promise<void>;
    delete(key: string): Promise<boolean>;
    getKeysByPrefix(prefix: string): MaybePromise<string[]>;
    [DisposableSymbols.dispose](): void;
}
